Create notification app

This API creates a notification app associated with the specified notification.

NameTypeDescription
app_typestring (255 chars)Type of notification. The API supports the following request data objects: email, sms, push_ios, push_android, push_android_fcm, push_baidu.
nicknamestring (255 chars)User-friendly notification name
usernamestring (255 chars)Used as greeting in notification
emailstring (255 chars)Destination email address
email_template_idstring (255 chars)Custom email template id
email_subjectstring (255 chars)Email subject line for email template
email_body_htmlstring (10000 characters)Email body for email template
messagestring (10000 characters)Additional text for the notification
country_codestring (255 chars)Country code for phone number
phone_numberstring (255 chars)10 digit phone number
registration_idintegerRegistration ID linking phone/tablet to notification service
application_idintegerApplication ID linking phone/tablet to notification service
channel_idstring (255 chars)Channel ID linking phone/tablet to Baidu notification service
push_soundstring (255 chars)Sound file name (mp3) associated with this notification
push_mdatastring (255 chars)Additional details or key-value pairs
datastring (255 chars)Additional details or key-value pairs
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
{
   "notification_app":{
      "id":14916608,
      "notification_id":14516296,
      "app_type":"email",
      "nickname":"Email Notification",
      "notification_app_parameters":{
         "username":"aylaun",
         "email":"[email protected]",
         "email_template_id":"email",
         "email_subject":"notification test",
         "email_body_html":"test",
         "message":"test"
       }
    }
}
{
  "notification_app": {
    "app_type": "sms",
    "nickname": "required",
    "notification_app_parameters": {
      "username": "",
      "message": "",
      "country_code": "",
      "phone_number": ""
    }
  }
}
{
  "notification_app": {
    "app_type": "push_ios",
    "nickname": "required",
    "notification_app_parameters": {
      "message": "",
      "registration_id": "",
      "application_id": "",
      "push_sound": "",
      "push_mdata": ""
    }
  }
}
{
  "notification_app": {
    "app_type": "push_android",
    "nickname": "required",
    "notification_app_parameters": {
      "message": "",
      "registration_id": "",
      "push_sound": "",
      "push_mdata": ""
    }
  }
}
{
  "notification_app": {
    "app_type": "push_android_fcm",
    "nickname": "required",
    "notification_app_parameters": {
      "message": "",
      "registration_id": "",
      "push_sound": "",
      "push_mdata": ""
    }
  }
}
{
  "notification_app": {
    "app_type": "push_baidu",
    "nickname": "required",
    "notification_app_parameters": {
      "message": "",
      "channel_id": "",
      "application_id": "",
      "push_sound": "",
      "data": ""
    }
  }
}
Path Params
string
required

Unique notification identifier.

Body Params
json
required
Responses

401

Unauthorized

403

Forbidden

404

Not Found

422

Unprocessable Entity

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json